<section id="ventanaModal" #modal class="d-flex justify-content-center align-items-center">
  <div id="modal">
    <h4 class="text-white text-center">Nueva incidencia</h4>
    <form class="p4" [formGroup]="incidenciaForm">
      <div class="form-group mb-3">
        <div class="tamInput">
          <label for="descripcion" class="form-label">Descripción</label>
          <textarea rows="4" formControlName="descripcion" cols="50" autofocus></textarea>
        </div>
      </div>
      <div class="form-group d-flex justify-content-between mb-3">
        <div class="tamInput2">
          <label for="disciplina" class="form-label">Disciplina</label>
          <select formControlName="disciplina"  class="form-control" required>
            <option selected>-</option>
            <option value="disciplina3">Disciplina 1</option>
            <option value="disciplina2">Disciplina 2</option>
            <option value="disciplina3">Disciplina 3</option>
          </select>
        </div>
        <div class="tamInput2">
          <label for="situacion_incidencia" class="form-label">Situación incidencia</label>
          <select formControlName="estado" class="form-control" required>
            <option selected>-</option>
            <option value="creada">Creada</option>
            <option value="resuelta">Resuelta</option>
            <option value="cerrada">Cerrada</option>
          </select>
        </div>
      </div>
      <div class="mt-2 d-flex" #incidencias></div>
      <div class="form-group d-flex justify-content-between mb-3">
        <div>
          <label for="nombre" class="form-label">Documentación</label>
          <p id="subirArchivos">Seleccionar archivos</p>
          <input id="upload" aria-label="Seleccionar archivos" (change)="addFile($event)" type="file" class="form-control" required multiple>
        </div>
        <div class="mt-4" #documentacion></div>
      </div>
      <!-- <p class="text-danger" *ngIf="formInvalid">{{text('empresaModal.aviso')}}</p>
      <p class="text-danger" *ngIf="nombreRepetido">{{text('empresaModal.avisoNombre')}}</p> -->
      <div class="d-flex justify-content-center">
        <button (click)="esconderModal()" type="button" class="btn text-white bgGray me-4">Cancelar</button>
        <button type="button" (click)="crearIncidencia()" class="btn text-white bgBlue">Crear</button>
      </div>
    </form>
  </div>
</section>
